package jp.programmers.pizza.actions;

import java.util.List;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import jp.programmers.pizza.dao.DAOFactory;
import jp.programmers.pizza.dao.ItemDAO;
import jp.programmers.pizza.model.Customer;
import jp.programmers.pizza.model.Order;
import org.apache.commons.beanutils.BeanUtils;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * I[_͂̏sANVłB
 */
public class OrderInputAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        Order order = new Order();

        Customer customer = new Customer();
        BeanUtils.copyProperties(customer, form);
        order.setCustomer(customer);

        ItemDAO itemDAO = (ItemDAO)DAOFactory.get("itemDAO");
        List items = itemDAO.findAll();
        order.setItems(items);

        HttpSession session = request.getSession();
        session.setAttribute("order", order);

        return mapping.findForward("success");
    }
}
