package jp.programmers.pizza.dao.hibernate;

import java.util.List;

import jp.programmers.pizza.dao.CustomerDAO;
import jp.programmers.pizza.model.Customer;
import net.sf.hibernate.Hibernate;
import org.springframework.orm.hibernate.support.HibernateDaoSupport;

/**
 * DAONX
 */
public class CustomerDAOImpl
    extends HibernateDaoSupport implements CustomerDAO {

    /** dbԍ܂B */
    public Customer findByPhone(String phone) {
        Customer result = null;
        List list =
            getHibernateTemplate().find(
                "from Customer where phone = ?",
                phone, Hibernate.STRING);
        if (!list.isEmpty()) {
            result = (Customer)list.get(0);
        }
        return result;
    }

    /** ۑ܂B */
    public void saveOrUpdate(Customer customer) {
        getHibernateTemplate().saveOrUpdate(customer);
    }

}
