package jp.programmers.pizza.actions;

import java.util.Date;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import jp.programmers.pizza.dao.DAOFactory;
import jp.programmers.pizza.dao.OrderDAO;
import jp.programmers.pizza.model.Order;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * I[_DBɕۑANVłB
 */
public class SaveOrderAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        HttpSession session = request.getSession();
        Order order =
            (Order)session.getAttribute("order");
        if (order == null || order.getDetails().isEmpty()) {
            ActionErrors errors = new ActionErrors();
            errors.add("order", new ActionError("error.order"));
            saveErrors(request, errors);
            return mapping.getInputForward();
        }
        order.setOrderDate(new Date());
        OrderDAO orderDAO = (OrderDAO)DAOFactory.get("orderDAO");
        orderDAO.save(order);
        session.removeAttribute("order");
        return mapping.findForward("success");
    }
}
