package jp.programmers.pizza.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.programmers.pizza.dao.DAOFactory;
import jp.programmers.pizza.dao.OrderDAO;
import jp.programmers.pizza.forms.SearchOrderDetailForm;
import jp.programmers.pizza.model.Order;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * I[_ڍׂDB猟ANVłB
 */
public class SearchOrderDetailAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {
        SearchOrderDetailForm sodf =
            (SearchOrderDetailForm)form;
        Integer id = sodf.getId();
        OrderDAO orderDAO = (OrderDAO)DAOFactory.get("orderDAO");
        Order order = orderDAO.getOrderWithDetails(id);
        request.setAttribute("order", order);
        return mapping.findForward("success");
    }
}
