package jp.programmers.pizza.dao.hibernate;

import java.io.Serializable;
import java.util.List;

import jp.programmers.pizza.dao.ItemDAO;
import jp.programmers.pizza.model.Item;
import org.springframework.orm.hibernate.support.HibernateDaoSupport;

/**
 * iDAONX
 */
public class ItemDAOImpl
    extends HibernateDaoSupport implements ItemDAO {

    /** L[珤i擾܂B */
    public Item findByPrimaryKey(Serializable id) {
        return (Item)getHibernateTemplate().load(Item.class, id);
    }

    /** SĂ̏i擾܂B */
    public List findAll() {
        return getHibernateTemplate().find("from Item order by id");
    }

    /** iۑ܂B */
    public void saveOrUpdate(Item item) {
        getHibernateTemplate().saveOrUpdate(item);
    }

    public void delete(Item item) {
        getHibernateTemplate().delete(item);
    }
}
